$brand-inkube : #3333FF;
$panel-height: 32px;



.bar-32{
	height: $panel-height;
}


.migration-single{
	font-size: 14px;
	.button{
		cursor: pointer;
		height: $panel-height;
		background: $brand-inkube;
		border: none;
		color: white;
		display: block;
		text-align: center;
		line-height: $panel-height;
		font-size: 16px; 
		&.button-head{
			width: $panel-height;
			float: left;
			display: block;
		}
		&:hover{
			opacity: 0.8;
		}
	}
	.actions-bar{
		position: absolute;
		top: 0;
		height: $panel-height;
		font-family: arial;
		font-size: 14px;
		&.left{
			left:0;
		}
		&.right{
			right:0;
		}
		a, select{
			cursor: pointer;
			height: $panel-height;
			background: $brand-inkube;
			border: none;
			color: white;
			padding: 0 10px;
			display: block;
			float: left;
			margin: 1px 0px;
		}
		a{
			text-align: center;
			line-height: $panel-height;
		}
		
	}

}
[role="main-panel"]{
	@extend .bar-32;
	position: fixed;
	background: #333;
	color: white;
	top: 50%;
	transform: translate(-50%,10px);
	padding: 0px 32px 0px 0px;
	z-index: 2000;
	
	[role="close"]{
		position: absolute;
		line-height: 30px;
		right: 7px;	
		font-size: 25px;
		body.rtl &{
			left:7px;
			right: auto;
		}
	}
	ul{
		font-size: 14px; 
		
		li{
			padding: 0;
			margin: 0;
			display: block;
			float: left;
		}
	}
	.button[action]{
		float: left;
		display: block;
		width: $panel-height;
		height: $panel-height;
		line-height: $panel-height;
		background-color: $brand-inkube;
		padding: 0;
		margin-left: 1px;
		text-align: center;
		border: none;
		
	}
	.fa{
		cursor: pointer;
	}
}


[role="node-editor"]{
	position: fixed;
	direction: ltr;
	bottom: 0px;
	font-size: 14px;
	background: #333;
	padding: 5px;
	right: 0;

	width: 100%;
	z-index: 9900;
	color: white;
	.CodeMirror{
		height: 200px;
	}
	transition: all .5s ease-in-out;
	&.expanded{
		
		top: $panel-height + 32px;
		.CodeMirror{
			height: calc(100vh - 138px);
		}
	}

	
	.update, .make-component{
		float: left;
		padding: 0 10px;
		line-height: $panel-height - 8px;
		font-size: 20px;


	}
}

[role="notification"]{
	position: fixed;
	top: $panel-height + 32px;
	left: 0;
	direction: ltr;
	@extend .p-2;
	width: 100%;
	z-index: 1000;
	color: white;
	display: none;

}



.inkube-current .entry-content{
	> div,  > h3, > p, > h2, > h1, > h4, > h5,>aside,  > blockquote, [shortcode], > .p {
		cursor: pointer;
	}	
	& > p, & > .p, & > h1, & > h2, & > h3, & > h4, & > h5, & > aside, & > blockquote{
		&:hover{
			background: rgba(0,0,255,.2);
			border: 1px solid rgba(0,0,255,.7);

		}
	}
	> .row{
		min-height: 150px;
		background: red;
		margin-bottom: 50px;
		&:hover{
			opacity: 0.7;
			background: red !important;
		}
	}
	> .p > p, > .p > blockquote{
		&:hover{
			border: 1px solid rgba(0,0,255,.7);

			background: rgba(255,0,0,.2);
		}
	}
	

}

#wpadminbar:not(.mobile) .ab-top-menu > li.inkube-toggle{
	cursor: pointer !important;
	&.active{
		&, &:hover{
			background-color: $brand-inkube !important;
			color: white;
		}
	}
}

.fa-close, .fa-expand{
	cursor: pointer;
	font-size: 20px;
	line-height: 32px;
}

[role="post-actions"]{
	position: fixed; 
	bottom:  0px;
	height: 32px;
	color: white;
	background: #333;
	width: 100%;
	left: 0;
	z-index: 1999;
	right: 0;
	.inkube-title{
		color: white $brand-inkube !important;
	}
	select{
		direction: ltr;
		font-size: 12px;
		height: 26px;
	}


}


.fix-content-outer{
	display: none;
	&:first-child{
		display: block;
	}

}

.inkube-panel{
	display: none;
}



//

.svg-parent-detected{
	min-width: 300px;
	
}


.update{
	background: #2A2 !important;
}

body.inkube-on{
	padding-bottom: 30px;
}

body.rtl{

}